Changeset 2582


Ignore:
Timestamp:
Jul 16, 2012 6:23:13 PM (7 years ago)
Author:
stefan
Message:

update to build with upcoming 1.7 release; add GMP checks

Location:
ThirdParty/SoPlex/trunk
Files:
5 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SoPlex/trunk/Makefile.am

    r2470 r2582  
    1616  soplex/src/dsvector.cpp \
    1717  soplex/src/dvector.cpp \
     18  soplex/src/dvector_exact.cpp \
    1819  soplex/src/enter.cpp \
    1920  soplex/src/factor.cpp \
     
    2627  soplex/src/lprow.cpp \
    2728  soplex/src/message.cpp \
     29  soplex/src/mpqreal.cpp \
    2830  soplex/src/mpsinput.cpp \
    2931  soplex/src/nameset.cpp \
     
    7981  soplex/src/updatevector.cpp \
    8082  soplex/src/vector.cpp \
     83  soplex/src/vector_exact.cpp \
    8184  soplex/src/vsolve.cpp
    8285
  • ThirdParty/SoPlex/trunk/Makefile.in

    r2470 r2582  
    8484libcoinsoplex_la_LIBADD =
    8585am_libcoinsoplex_la_OBJECTS = changesoplex.lo didxset.lo dsvector.lo \
    86         dvector.lo enter.lo factor.lo forest.lo gzstream.lo idxset.lo \
    87         leave.lo lpcolset.lo lprowset.lo lprow.lo message.lo \
    88         mpsinput.lo nameset.lo slufactor.lo solve.lo soplex.lo \
    89         spxbasis.lo spxboundflippingrt.lo spxbounds.lo \
    90         spxchangebasis.lo spxdantzigpr.lo spxdefaultrt.lo \
    91         spxdefines.lo spxdesc.lo spxdevexpr.lo spxequilisc.lo \
    92         spxfastrt.lo spxfileio.lo spxgeometsc.lo spxgithash.lo \
    93         spxharrisrt.lo spxhybridpr.lo spxid.lo spxio.lo spxlp.lo \
    94         spxlpfread.lo spxmainsm.lo spxmpsread.lo spxmpswrite.lo \
    95         spxlpfwrite.lo spxout.lo spxparmultpr.lo spxquality.lo \
    96         spxscaler.lo spxshift.lo spxsolver.lo spxsolve.lo \
    97         spxstarter.lo spxsteeppr.lo spxsumst.lo spxvecs.lo \
    98         spxvectorst.lo spxweightpr.lo spxweightst.lo spxwritestate.lo \
    99         ssvector.lo svector.lo svset.lo timer.lo tracemethod.lo \
    100         unitvector.lo update.lo updatevector.lo vector.lo vsolve.lo
     86        dvector.lo dvector_exact.lo enter.lo factor.lo forest.lo \
     87        gzstream.lo idxset.lo leave.lo lpcolset.lo lprowset.lo \
     88        lprow.lo message.lo mpqreal.lo mpsinput.lo nameset.lo \
     89        slufactor.lo solve.lo soplex.lo spxbasis.lo \
     90        spxboundflippingrt.lo spxbounds.lo spxchangebasis.lo \
     91        spxdantzigpr.lo spxdefaultrt.lo spxdefines.lo spxdesc.lo \
     92        spxdevexpr.lo spxequilisc.lo spxfastrt.lo spxfileio.lo \
     93        spxgeometsc.lo spxgithash.lo spxharrisrt.lo spxhybridpr.lo \
     94        spxid.lo spxio.lo spxlp.lo spxlpfread.lo spxmainsm.lo \
     95        spxmpsread.lo spxmpswrite.lo spxlpfwrite.lo spxout.lo \
     96        spxparmultpr.lo spxquality.lo spxscaler.lo spxshift.lo \
     97        spxsolver.lo spxsolve.lo spxstarter.lo spxsteeppr.lo \
     98        spxsumst.lo spxvecs.lo spxvectorst.lo spxweightpr.lo \
     99        spxweightst.lo spxwritestate.lo ssvector.lo svector.lo \
     100        svset.lo timer.lo tracemethod.lo unitvector.lo update.lo \
     101        updatevector.lo vector.lo vector_exact.lo vsolve.lo
    101102libcoinsoplex_la_OBJECTS = $(am_libcoinsoplex_la_OBJECTS)
    102103depcomp = $(SHELL) $(top_srcdir)/depcomp
     
    283284  soplex/src/dsvector.cpp \
    284285  soplex/src/dvector.cpp \
     286  soplex/src/dvector_exact.cpp \
    285287  soplex/src/enter.cpp \
    286288  soplex/src/factor.cpp \
     
    293295  soplex/src/lprow.cpp \
    294296  soplex/src/message.cpp \
     297  soplex/src/mpqreal.cpp \
    295298  soplex/src/mpsinput.cpp \
    296299  soplex/src/nameset.cpp \
     
    346349  soplex/src/updatevector.cpp \
    347350  soplex/src/vector.cpp \
     351  soplex/src/vector_exact.cpp \
    348352  soplex/src/vsolve.cpp
    349353
     
    528532@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dsvector.Plo@am__quote@
    529533@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dvector.Plo@am__quote@
     534@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dvector_exact.Plo@am__quote@
    530535@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/enter.Plo@am__quote@
    531536@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/factor.Plo@am__quote@
     
    538543@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lprowset.Plo@am__quote@
    539544@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/message.Plo@am__quote@
     545@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mpqreal.Plo@am__quote@
    540546@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mpsinput.Plo@am__quote@
    541547@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nameset.Plo@am__quote@
     
    591597@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/updatevector.Plo@am__quote@
    592598@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vector.Plo@am__quote@
     599@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vector_exact.Plo@am__quote@
    593600@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vsolve.Plo@am__quote@
    594601
     
    642649@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o dvector.lo `test -f 'soplex/src/dvector.cpp' || echo '$(srcdir)/'`soplex/src/dvector.cpp
    643650
     651dvector_exact.lo: soplex/src/dvector_exact.cpp
     652@am__fastdepCXX_TRUE@   if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT dvector_exact.lo -MD -MP -MF "$(DEPDIR)/dvector_exact.Tpo" -c -o dvector_exact.lo `test -f 'soplex/src/dvector_exact.cpp' || echo '$(srcdir)/'`soplex/src/dvector_exact.cpp; \
     653@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/dvector_exact.Tpo" "$(DEPDIR)/dvector_exact.Plo"; else rm -f "$(DEPDIR)/dvector_exact.Tpo"; exit 1; fi
     654@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='soplex/src/dvector_exact.cpp' object='dvector_exact.lo' libtool=yes @AMDEPBACKSLASH@
     655@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     656@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o dvector_exact.lo `test -f 'soplex/src/dvector_exact.cpp' || echo '$(srcdir)/'`soplex/src/dvector_exact.cpp
     657
    644658enter.lo: soplex/src/enter.cpp
    645659@am__fastdepCXX_TRUE@   if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT enter.lo -MD -MP -MF "$(DEPDIR)/enter.Tpo" -c -o enter.lo `test -f 'soplex/src/enter.cpp' || echo '$(srcdir)/'`soplex/src/enter.cpp; \
     
    712726@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o message.lo `test -f 'soplex/src/message.cpp' || echo '$(srcdir)/'`soplex/src/message.cpp
    713727
     728mpqreal.lo: soplex/src/mpqreal.cpp
     729@am__fastdepCXX_TRUE@   if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT mpqreal.lo -MD -MP -MF "$(DEPDIR)/mpqreal.Tpo" -c -o mpqreal.lo `test -f 'soplex/src/mpqreal.cpp' || echo '$(srcdir)/'`soplex/src/mpqreal.cpp; \
     730@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/mpqreal.Tpo" "$(DEPDIR)/mpqreal.Plo"; else rm -f "$(DEPDIR)/mpqreal.Tpo"; exit 1; fi
     731@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='soplex/src/mpqreal.cpp' object='mpqreal.lo' libtool=yes @AMDEPBACKSLASH@
     732@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     733@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o mpqreal.lo `test -f 'soplex/src/mpqreal.cpp' || echo '$(srcdir)/'`soplex/src/mpqreal.cpp
     734
    714735mpsinput.lo: soplex/src/mpsinput.cpp
    715736@am__fastdepCXX_TRUE@   if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT mpsinput.lo -MD -MP -MF "$(DEPDIR)/mpsinput.Tpo" -c -o mpsinput.lo `test -f 'soplex/src/mpsinput.cpp' || echo '$(srcdir)/'`soplex/src/mpsinput.cpp; \
     
    10821103@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
    10831104@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o vector.lo `test -f 'soplex/src/vector.cpp' || echo '$(srcdir)/'`soplex/src/vector.cpp
     1105
     1106vector_exact.lo: soplex/src/vector_exact.cpp
     1107@am__fastdepCXX_TRUE@   if $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT vector_exact.lo -MD -MP -MF "$(DEPDIR)/vector_exact.Tpo" -c -o vector_exact.lo `test -f 'soplex/src/vector_exact.cpp' || echo '$(srcdir)/'`soplex/src/vector_exact.cpp; \
     1108@am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/vector_exact.Tpo" "$(DEPDIR)/vector_exact.Plo"; else rm -f "$(DEPDIR)/vector_exact.Tpo"; exit 1; fi
     1109@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='soplex/src/vector_exact.cpp' object='vector_exact.lo' libtool=yes @AMDEPBACKSLASH@
     1110@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
     1111@am__fastdepCXX_FALSE@  $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o vector_exact.lo `test -f 'soplex/src/vector_exact.cpp' || echo '$(srcdir)/'`soplex/src/vector_exact.cpp
    10841112
    10851113vsolve.lo: soplex/src/vsolve.cpp
  • ThirdParty/SoPlex/trunk/config_soplex.h.in

    r2212 r2582  
    11/* config_soplex.h.in.  Generated from configure.ac by autoheader.  */
     2
     3/* Define to 1 if GMP is available */
     4#undef COIN_HAS_GMP
    25
    36/* Define to 1 if zlib is available */
     
    1215/* Define to 1 if you have the <dlfcn.h> header file. */
    1316#undef HAVE_DLFCN_H
     17
     18/* Define to 1 if you have the <gmpxx.h> header file. */
     19#undef HAVE_GMPXX_H
     20
     21/* Define to 1 if you have the <gmp.h> header file. */
     22#undef HAVE_GMP_H
    1423
    1524/* Define to 1 if you have the <inttypes.h> header file. */
  • ThirdParty/SoPlex/trunk/configure

    r2494 r2582  
    11001100  --disable-libtool-lock  avoid locking (might break parallel builds)
    11011101  --disable-zlib          do not compile with compression library zlib
     1102  --disable-gmp           do not compile with GNU multiple precision library
    11021103
    11031104Optional Packages:
     
    61306131*-*-irix6*)
    61316132  # Find out which ABI we are using.
    6132   echo '#line 6132 "configure"' > conftest.$ac_ext
     6133  echo '#line 6133 "configure"' > conftest.$ac_ext
    61336134  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    61346135  (eval $ac_compile) 2>&5
     
    72647265
    72657266# Provide some information about the compiler.
    7266 echo "$as_me:7266:" \
     7267echo "$as_me:7267:" \
    72677268     "checking for Fortran 77 compiler version" >&5
    72687269ac_compiler=`set X $ac_compile; echo $2`
     
    83318332   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83328333   -e 's:$: $lt_compiler_flag:'`
    8333    (eval echo "\"\$as_me:8333: $lt_compile\"" >&5)
     8334   (eval echo "\"\$as_me:8334: $lt_compile\"" >&5)
    83348335   (eval "$lt_compile" 2>conftest.err)
    83358336   ac_status=$?
    83368337   cat conftest.err >&5
    8337    echo "$as_me:8337: \$? = $ac_status" >&5
     8338   echo "$as_me:8338: \$? = $ac_status" >&5
    83388339   if (exit $ac_status) && test -s "$ac_outfile"; then
    83398340     # The compiler can only warn and ignore the option if not recognized
     
    85998600   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86008601   -e 's:$: $lt_compiler_flag:'`
    8601    (eval echo "\"\$as_me:8601: $lt_compile\"" >&5)
     8602   (eval echo "\"\$as_me:8602: $lt_compile\"" >&5)
    86028603   (eval "$lt_compile" 2>conftest.err)
    86038604   ac_status=$?
    86048605   cat conftest.err >&5
    8605    echo "$as_me:8605: \$? = $ac_status" >&5
     8606   echo "$as_me:8606: \$? = $ac_status" >&5
    86068607   if (exit $ac_status) && test -s "$ac_outfile"; then
    86078608     # The compiler can only warn and ignore the option if not recognized
     
    87038704   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87048705   -e 's:$: $lt_compiler_flag:'`
    8705    (eval echo "\"\$as_me:8705: $lt_compile\"" >&5)
     8706   (eval echo "\"\$as_me:8706: $lt_compile\"" >&5)
    87068707   (eval "$lt_compile" 2>out/conftest.err)
    87078708   ac_status=$?
    87088709   cat out/conftest.err >&5
    8709    echo "$as_me:8709: \$? = $ac_status" >&5
     8710   echo "$as_me:8710: \$? = $ac_status" >&5
    87108711   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87118712   then
     
    1104811049  lt_status=$lt_dlunknown
    1104911050  cat > conftest.$ac_ext <<EOF
    11050 #line 11050 "configure"
     11051#line 11051 "configure"
    1105111052#include "confdefs.h"
    1105211053
     
    1114811149  lt_status=$lt_dlunknown
    1114911150  cat > conftest.$ac_ext <<EOF
    11150 #line 11150 "configure"
     11151#line 11151 "configure"
    1115111152#include "confdefs.h"
    1115211153
     
    1349213493   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1349313494   -e 's:$: $lt_compiler_flag:'`
    13494    (eval echo "\"\$as_me:13494: $lt_compile\"" >&5)
     13495   (eval echo "\"\$as_me:13495: $lt_compile\"" >&5)
    1349513496   (eval "$lt_compile" 2>conftest.err)
    1349613497   ac_status=$?
    1349713498   cat conftest.err >&5
    13498    echo "$as_me:13498: \$? = $ac_status" >&5
     13499   echo "$as_me:13499: \$? = $ac_status" >&5
    1349913500   if (exit $ac_status) && test -s "$ac_outfile"; then
    1350013501     # The compiler can only warn and ignore the option if not recognized
     
    1359613597   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1359713598   -e 's:$: $lt_compiler_flag:'`
    13598    (eval echo "\"\$as_me:13598: $lt_compile\"" >&5)
     13599   (eval echo "\"\$as_me:13599: $lt_compile\"" >&5)
    1359913600   (eval "$lt_compile" 2>out/conftest.err)
    1360013601   ac_status=$?
    1360113602   cat out/conftest.err >&5
    13602    echo "$as_me:13602: \$? = $ac_status" >&5
     13603   echo "$as_me:13603: \$? = $ac_status" >&5
    1360313604   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1360413605   then
     
    1516615167   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1516715168   -e 's:$: $lt_compiler_flag:'`
    15168    (eval echo "\"\$as_me:15168: $lt_compile\"" >&5)
     15169   (eval echo "\"\$as_me:15169: $lt_compile\"" >&5)
    1516915170   (eval "$lt_compile" 2>conftest.err)
    1517015171   ac_status=$?
    1517115172   cat conftest.err >&5
    15172    echo "$as_me:15172: \$? = $ac_status" >&5
     15173   echo "$as_me:15173: \$? = $ac_status" >&5
    1517315174   if (exit $ac_status) && test -s "$ac_outfile"; then
    1517415175     # The compiler can only warn and ignore the option if not recognized
     
    1527015271   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1527115272   -e 's:$: $lt_compiler_flag:'`
    15272    (eval echo "\"\$as_me:15272: $lt_compile\"" >&5)
     15273   (eval echo "\"\$as_me:15273: $lt_compile\"" >&5)
    1527315274   (eval "$lt_compile" 2>out/conftest.err)
    1527415275   ac_status=$?
    1527515276   cat out/conftest.err >&5
    15276    echo "$as_me:15276: \$? = $ac_status" >&5
     15277   echo "$as_me:15277: \$? = $ac_status" >&5
    1527715278   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1527815279   then
     
    1747717478   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1747817479   -e 's:$: $lt_compiler_flag:'`
    17479    (eval echo "\"\$as_me:17479: $lt_compile\"" >&5)
     17480   (eval echo "\"\$as_me:17480: $lt_compile\"" >&5)
    1748017481   (eval "$lt_compile" 2>conftest.err)
    1748117482   ac_status=$?
    1748217483   cat conftest.err >&5
    17483    echo "$as_me:17483: \$? = $ac_status" >&5
     17484   echo "$as_me:17484: \$? = $ac_status" >&5
    1748417485   if (exit $ac_status) && test -s "$ac_outfile"; then
    1748517486     # The compiler can only warn and ignore the option if not recognized
     
    1774517746   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1774617747   -e 's:$: $lt_compiler_flag:'`
    17747    (eval echo "\"\$as_me:17747: $lt_compile\"" >&5)
     17748   (eval echo "\"\$as_me:17748: $lt_compile\"" >&5)
    1774817749   (eval "$lt_compile" 2>conftest.err)
    1774917750   ac_status=$?
    1775017751   cat conftest.err >&5
    17751    echo "$as_me:17751: \$? = $ac_status" >&5
     17752   echo "$as_me:17752: \$? = $ac_status" >&5
    1775217753   if (exit $ac_status) && test -s "$ac_outfile"; then
    1775317754     # The compiler can only warn and ignore the option if not recognized
     
    1784917850   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1785017851   -e 's:$: $lt_compiler_flag:'`
    17851    (eval echo "\"\$as_me:17851: $lt_compile\"" >&5)
     17852   (eval echo "\"\$as_me:17852: $lt_compile\"" >&5)
    1785217853   (eval "$lt_compile" 2>out/conftest.err)
    1785317854   ac_status=$?
    1785417855   cat out/conftest.err >&5
    17855    echo "$as_me:17855: \$? = $ac_status" >&5
     17856   echo "$as_me:17856: \$? = $ac_status" >&5
    1785617857   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1785717858   then
     
    2103621037if test $coin_has_zlib = "yes"; then
    2103721038  CXXFLAGS="$CXXFLAGS -DWITH_ZLIB"
     21039fi
     21040
     21041
     21042
     21043
     21044
     21045
     21046
     21047# Check whether --enable-gmp or --disable-gmp was given.
     21048if test "${enable_gmp+set}" = set; then
     21049  enableval="$enable_gmp"
     21050  coin_enable_gmp=$enableval
     21051else
     21052  coin_enable_gmp=yes
     21053fi;
     21054
     21055coin_has_gmp=no
     21056if test $coin_enable_gmp = yes; then
     21057  #if test x"" = x; then
     21058#  hdr="#include <gmp.h>"
     21059#else
     21060#  hdr=""
     21061#fi
     21062#AC_CHECK_HEADERS([gmp.h],[AC_CHECK_LIB([gmp],[__gmpz_init],[coin_has_gmp=yes])],[],[$hdr])
     21063
     21064for ac_header in gmp.h
     21065do
     21066as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     21067if eval "test \"\${$as_ac_Header+set}\" = set"; then
     21068  echo "$as_me:$LINENO: checking for $ac_header" >&5
     21069echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     21070if eval "test \"\${$as_ac_Header+set}\" = set"; then
     21071  echo $ECHO_N "(cached) $ECHO_C" >&6
     21072fi
     21073echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     21074echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     21075else
     21076  # Is the header compilable?
     21077echo "$as_me:$LINENO: checking $ac_header usability" >&5
     21078echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     21079cat >conftest.$ac_ext <<_ACEOF
     21080/* confdefs.h.  */
     21081_ACEOF
     21082cat confdefs.h >>conftest.$ac_ext
     21083cat >>conftest.$ac_ext <<_ACEOF
     21084/* end confdefs.h.  */
     21085$ac_includes_default
     21086#include <$ac_header>
     21087_ACEOF
     21088rm -f conftest.$ac_objext
     21089if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     21090  (eval $ac_compile) 2>conftest.er1
     21091  ac_status=$?
     21092  grep -v '^ *+' conftest.er1 >conftest.err
     21093  rm -f conftest.er1
     21094  cat conftest.err >&5
     21095  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21096  (exit $ac_status); } &&
     21097         { ac_try='test -z "$ac_c_werror_flag"
     21098                         || test ! -s conftest.err'
     21099  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21100  (eval $ac_try) 2>&5
     21101  ac_status=$?
     21102  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21103  (exit $ac_status); }; } &&
     21104         { ac_try='test -s conftest.$ac_objext'
     21105  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21106  (eval $ac_try) 2>&5
     21107  ac_status=$?
     21108  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21109  (exit $ac_status); }; }; then
     21110  ac_header_compiler=yes
     21111else
     21112  echo "$as_me: failed program was:" >&5
     21113sed 's/^/| /' conftest.$ac_ext >&5
     21114
     21115ac_header_compiler=no
     21116fi
     21117rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     21118echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     21119echo "${ECHO_T}$ac_header_compiler" >&6
     21120
     21121# Is the header present?
     21122echo "$as_me:$LINENO: checking $ac_header presence" >&5
     21123echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     21124cat >conftest.$ac_ext <<_ACEOF
     21125/* confdefs.h.  */
     21126_ACEOF
     21127cat confdefs.h >>conftest.$ac_ext
     21128cat >>conftest.$ac_ext <<_ACEOF
     21129/* end confdefs.h.  */
     21130#include <$ac_header>
     21131_ACEOF
     21132if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     21133  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     21134  ac_status=$?
     21135  grep -v '^ *+' conftest.er1 >conftest.err
     21136  rm -f conftest.er1
     21137  cat conftest.err >&5
     21138  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21139  (exit $ac_status); } >/dev/null; then
     21140  if test -s conftest.err; then
     21141    ac_cpp_err=$ac_c_preproc_warn_flag
     21142    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
     21143  else
     21144    ac_cpp_err=
     21145  fi
     21146else
     21147  ac_cpp_err=yes
     21148fi
     21149if test -z "$ac_cpp_err"; then
     21150  ac_header_preproc=yes
     21151else
     21152  echo "$as_me: failed program was:" >&5
     21153sed 's/^/| /' conftest.$ac_ext >&5
     21154
     21155  ac_header_preproc=no
     21156fi
     21157rm -f conftest.err conftest.$ac_ext
     21158echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     21159echo "${ECHO_T}$ac_header_preproc" >&6
     21160
     21161# So?  What about this header?
     21162case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
     21163  yes:no: )
     21164    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     21165echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     21166    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     21167echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     21168    ac_header_preproc=yes
     21169    ;;
     21170  no:yes:* )
     21171    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     21172echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     21173    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     21174echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     21175    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     21176echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     21177    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     21178echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     21179    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     21180echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     21181    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     21182echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     21183    (
     21184      cat <<\_ASBOX
     21185## --------------------------------------------------------------- ##
     21186## Report this to http://projects.coin-or.org/BuildTools/newticket ##
     21187## --------------------------------------------------------------- ##
     21188_ASBOX
     21189    ) |
     21190      sed "s/^/$as_me: WARNING:     /" >&2
     21191    ;;
     21192esac
     21193echo "$as_me:$LINENO: checking for $ac_header" >&5
     21194echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     21195if eval "test \"\${$as_ac_Header+set}\" = set"; then
     21196  echo $ECHO_N "(cached) $ECHO_C" >&6
     21197else
     21198  eval "$as_ac_Header=\$ac_header_preproc"
     21199fi
     21200echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     21201echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     21202
     21203fi
     21204if test `eval echo '${'$as_ac_Header'}'` = yes; then
     21205  cat >>confdefs.h <<_ACEOF
     21206#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     21207_ACEOF
     21208 echo "$as_me:$LINENO: checking for __gmpz_init in -lgmp" >&5
     21209echo $ECHO_N "checking for __gmpz_init in -lgmp... $ECHO_C" >&6
     21210if test "${ac_cv_lib_gmp___gmpz_init+set}" = set; then
     21211  echo $ECHO_N "(cached) $ECHO_C" >&6
     21212else
     21213  ac_check_lib_save_LIBS=$LIBS
     21214LIBS="-lgmp  $LIBS"
     21215cat >conftest.$ac_ext <<_ACEOF
     21216/* confdefs.h.  */
     21217_ACEOF
     21218cat confdefs.h >>conftest.$ac_ext
     21219cat >>conftest.$ac_ext <<_ACEOF
     21220/* end confdefs.h.  */
     21221
     21222/* Override any gcc2 internal prototype to avoid an error.  */
     21223#ifdef __cplusplus
     21224extern "C"
     21225#endif
     21226/* We use char because int might match the return type of a gcc2
     21227   builtin and then its argument prototype would still apply.  */
     21228char __gmpz_init ();
     21229int
     21230main ()
     21231{
     21232__gmpz_init ();
     21233  ;
     21234  return 0;
     21235}
     21236_ACEOF
     21237rm -f conftest.$ac_objext conftest$ac_exeext
     21238if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     21239  (eval $ac_link) 2>conftest.er1
     21240  ac_status=$?
     21241  grep -v '^ *+' conftest.er1 >conftest.err
     21242  rm -f conftest.er1
     21243  cat conftest.err >&5
     21244  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21245  (exit $ac_status); } &&
     21246         { ac_try='test -z "$ac_c_werror_flag"
     21247                         || test ! -s conftest.err'
     21248  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21249  (eval $ac_try) 2>&5
     21250  ac_status=$?
     21251  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21252  (exit $ac_status); }; } &&
     21253         { ac_try='test -s conftest$ac_exeext'
     21254  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21255  (eval $ac_try) 2>&5
     21256  ac_status=$?
     21257  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21258  (exit $ac_status); }; }; then
     21259  ac_cv_lib_gmp___gmpz_init=yes
     21260else
     21261  echo "$as_me: failed program was:" >&5
     21262sed 's/^/| /' conftest.$ac_ext >&5
     21263
     21264ac_cv_lib_gmp___gmpz_init=no
     21265fi
     21266rm -f conftest.err conftest.$ac_objext \
     21267      conftest$ac_exeext conftest.$ac_ext
     21268LIBS=$ac_check_lib_save_LIBS
     21269fi
     21270echo "$as_me:$LINENO: result: $ac_cv_lib_gmp___gmpz_init" >&5
     21271echo "${ECHO_T}$ac_cv_lib_gmp___gmpz_init" >&6
     21272if test $ac_cv_lib_gmp___gmpz_init = yes; then
     21273  coin_has_gmp=yes
     21274fi
     21275
     21276fi
     21277
     21278done
     21279
     21280
     21281
     21282  if test $coin_has_gmp = yes ; then
     21283
     21284                    SOPLEX_LIBS="-lgmp $SOPLEX_LIBS"
     21285                    SOPLEX_PCLIBS="-lgmp $SOPLEX_PCLIBS"
     21286                    SOPLEX_LIBS_INSTALLED="-lgmp $SOPLEX_LIBS_INSTALLED"
     21287
     21288
     21289cat >>confdefs.h <<\_ACEOF
     21290#define COIN_HAS_GMP 1
     21291_ACEOF
     21292
     21293  fi
     21294fi
     21295
     21296if test $coin_has_gmp = yes; then
     21297  ac_ext=cc
     21298ac_cpp='$CXXCPP $CPPFLAGS'
     21299ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21300ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21301ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     21302
     21303  # TODO check for gmpxx library here somehow...
     21304
     21305#if test x"" = x; then
     21306#  hdr="#include <gmpxx.h>"
     21307#else
     21308#  hdr=""
     21309#fi
     21310#AC_CHECK_HEADERS([gmpxx.h],[],[coin_has_gmp=no],[$hdr])
     21311
     21312for ac_header in gmpxx.h
     21313do
     21314as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
     21315if eval "test \"\${$as_ac_Header+set}\" = set"; then
     21316  echo "$as_me:$LINENO: checking for $ac_header" >&5
     21317echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     21318if eval "test \"\${$as_ac_Header+set}\" = set"; then
     21319  echo $ECHO_N "(cached) $ECHO_C" >&6
     21320fi
     21321echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     21322echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     21323else
     21324  # Is the header compilable?
     21325echo "$as_me:$LINENO: checking $ac_header usability" >&5
     21326echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
     21327cat >conftest.$ac_ext <<_ACEOF
     21328/* confdefs.h.  */
     21329_ACEOF
     21330cat confdefs.h >>conftest.$ac_ext
     21331cat >>conftest.$ac_ext <<_ACEOF
     21332/* end confdefs.h.  */
     21333$ac_includes_default
     21334#include <$ac_header>
     21335_ACEOF
     21336rm -f conftest.$ac_objext
     21337if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     21338  (eval $ac_compile) 2>conftest.er1
     21339  ac_status=$?
     21340  grep -v '^ *+' conftest.er1 >conftest.err
     21341  rm -f conftest.er1
     21342  cat conftest.err >&5
     21343  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21344  (exit $ac_status); } &&
     21345         { ac_try='test -z "$ac_cxx_werror_flag"
     21346                         || test ! -s conftest.err'
     21347  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21348  (eval $ac_try) 2>&5
     21349  ac_status=$?
     21350  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21351  (exit $ac_status); }; } &&
     21352         { ac_try='test -s conftest.$ac_objext'
     21353  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     21354  (eval $ac_try) 2>&5
     21355  ac_status=$?
     21356  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21357  (exit $ac_status); }; }; then
     21358  ac_header_compiler=yes
     21359else
     21360  echo "$as_me: failed program was:" >&5
     21361sed 's/^/| /' conftest.$ac_ext >&5
     21362
     21363ac_header_compiler=no
     21364fi
     21365rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     21366echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
     21367echo "${ECHO_T}$ac_header_compiler" >&6
     21368
     21369# Is the header present?
     21370echo "$as_me:$LINENO: checking $ac_header presence" >&5
     21371echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
     21372cat >conftest.$ac_ext <<_ACEOF
     21373/* confdefs.h.  */
     21374_ACEOF
     21375cat confdefs.h >>conftest.$ac_ext
     21376cat >>conftest.$ac_ext <<_ACEOF
     21377/* end confdefs.h.  */
     21378#include <$ac_header>
     21379_ACEOF
     21380if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
     21381  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
     21382  ac_status=$?
     21383  grep -v '^ *+' conftest.er1 >conftest.err
     21384  rm -f conftest.er1
     21385  cat conftest.err >&5
     21386  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     21387  (exit $ac_status); } >/dev/null; then
     21388  if test -s conftest.err; then
     21389    ac_cpp_err=$ac_cxx_preproc_warn_flag
     21390    ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
     21391  else
     21392    ac_cpp_err=
     21393  fi
     21394else
     21395  ac_cpp_err=yes
     21396fi
     21397if test -z "$ac_cpp_err"; then
     21398  ac_header_preproc=yes
     21399else
     21400  echo "$as_me: failed program was:" >&5
     21401sed 's/^/| /' conftest.$ac_ext >&5
     21402
     21403  ac_header_preproc=no
     21404fi
     21405rm -f conftest.err conftest.$ac_ext
     21406echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
     21407echo "${ECHO_T}$ac_header_preproc" >&6
     21408
     21409# So?  What about this header?
     21410case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
     21411  yes:no: )
     21412    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
     21413echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
     21414    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
     21415echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
     21416    ac_header_preproc=yes
     21417    ;;
     21418  no:yes:* )
     21419    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
     21420echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
     21421    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
     21422echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
     21423    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
     21424echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
     21425    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
     21426echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
     21427    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
     21428echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
     21429    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
     21430echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
     21431    (
     21432      cat <<\_ASBOX
     21433## --------------------------------------------------------------- ##
     21434## Report this to http://projects.coin-or.org/BuildTools/newticket ##
     21435## --------------------------------------------------------------- ##
     21436_ASBOX
     21437    ) |
     21438      sed "s/^/$as_me: WARNING:     /" >&2
     21439    ;;
     21440esac
     21441echo "$as_me:$LINENO: checking for $ac_header" >&5
     21442echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
     21443if eval "test \"\${$as_ac_Header+set}\" = set"; then
     21444  echo $ECHO_N "(cached) $ECHO_C" >&6
     21445else
     21446  eval "$as_ac_Header=\$ac_header_preproc"
     21447fi
     21448echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
     21449echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
     21450
     21451fi
     21452if test `eval echo '${'$as_ac_Header'}'` = yes; then
     21453  cat >>confdefs.h <<_ACEOF
     21454#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
     21455_ACEOF
     21456
     21457else
     21458  coin_has_gmp=no
     21459fi
     21460
     21461done
     21462
     21463
     21464  ac_ext=c
     21465ac_cpp='$CPP $CPPFLAGS'
     21466ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     21467ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     21468ac_compiler_gnu=$ac_cv_c_compiler_gnu
     21469
     21470fi
     21471
     21472if test $coin_has_gmp = yes; then
     21473  CXXFLAGS="$CXXFLAGS -DWITH_GMP"
     21474
     21475  SOPLEX_LIBS="-lgmpxx $SOPLEX_LIBS"
     21476  SOPLEX_PCLIBS="-lgmpxx $SOPLEX_PCLIBS"
     21477  SOPLEX_LIBS_INSTALLED="-lgmpxx $SOPLEX_LIBS_INSTALLED"
    2103821478fi
    2103921479
  • ThirdParty/SoPlex/trunk/configure.ac

    r2473 r2582  
    6262fi
    6363
     64AC_COIN_CHECK_GMP(SOPLEX)
     65if test $coin_has_gmp = yes; then
     66  AC_LANG_PUSH(C++)
     67  # TODO check for gmpxx library here somehow...
     68  AC_COIN_CHECK_HEADER([gmpxx.h],[],[coin_has_gmp=no])
     69  AC_LANG_POP(C++)
     70fi
     71
     72if test $coin_has_gmp = yes; then
     73  CXXFLAGS="$CXXFLAGS -DWITH_GMP"
     74 
     75  SOPLEX_LIBS="-lgmpxx $SOPLEX_LIBS"
     76  SOPLEX_PCLIBS="-lgmpxx $SOPLEX_PCLIBS"
     77  SOPLEX_LIBS_INSTALLED="-lgmpxx $SOPLEX_LIBS_INSTALLED"
     78fi
     79
    6480###########################################################################
    6581#                               finish up                                 #
Note: See TracChangeset for help on using the changeset viewer.